### Hierarchy

- unknown
  - PriceAlertFilter

## Index

### Constructors

- constructor

### Methods

- getCurrencycode
- getHigh
- getLow
- serializeBinary
- setCurrencycode
- setHigh
- setLow
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PriceAlertFilter(): PriceAlertFilter

- Inherited from jspb.Message.constructor

  #### Returns PriceAlertFilter

## Methods

### getCurrencycode

- getCurrencycode(): string

- - Defined in src/protobuf/pb_pb.d.ts:8120

  #### Returns string

### getHigh

- getHigh(): number

- - Defined in src/protobuf/pb_pb.d.ts:8123

  #### Returns number

### getLow

- getLow(): number

- - Defined in src/protobuf/pb_pb.d.ts:8126

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8129

  #### Returns Uint8Array

### setCurrencycode

- setCurrencycode(value: string): PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8121

  #### Parameters

  - ##### value: string

  #### Returns PriceAlertFilter

### setHigh

- setHigh(value: number): PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8124

  #### Parameters

  - ##### value: number

  #### Returns PriceAlertFilter

### setLow

- setLow(value: number): PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8127

  #### Parameters

  - ##### value: number

  #### Returns PriceAlertFilter

### toObject

- toObject(includeInstance?: boolean): PriceAlertFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8130

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PriceAlertFilter . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8133

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PriceAlertFilter

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PriceAlertFilter, reader: BinaryReader): PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8134

  #### Parameters

  - ##### message: PriceAlertFilter

  - ##### reader: BinaryReader

  #### Returns PriceAlertFilter

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PriceAlertFilter, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8132

  #### Parameters

  - ##### message: PriceAlertFilter

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PriceAlertFilter ): PriceAlertFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8131

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PriceAlertFilter

  #### Returns PriceAlertFilter . AsObject

Generated using TypeDoc